#ifndef __SIAREA_H__
#define __SIAREA_H__

#include "sibase.h"
#include "silength.h"

#define SI_AREABASE(VALUE, PREFIX, UNIT)				\
	((( (VALUE * (SCALE_ ## PREFIX)) + UNIT ## _PREOFFSET) *	\
		SQUARED(UNIT ## _SCALE)) + UNIT ## _POSTOFFSET)

#define SI_AREA(VALUE, UNIT) SI_AREABASE(VALUE, BASE, UNIT)

#define FROM_AREABASE(VALUE, PREFIX, UNIT)			\
	((((VALUE - UNIT ## _POSTOFFSET)/SQUARED(UNIT ## _SCALE))-       \
		SQUARED(UNIT ## _PREOFFSET)) / SQUARED(SCALE_ ## PREFIX))

#define FROM_AREA(VALUE, UNIT) FROM_AREABASE(VALUE, BASE, UNIT)

#define AREA_ACRE_PREOFFSET		0.0f
#define AREA_ACRE_POSTOFFSET		0.0f
#define AREA_ACRE_SCALE			(4.04686E3)

#define AREA_HECTARE_PREOFFSET		0.0f
#define AREA_HECTARE_POSTOFFSET		0.0f
#define AREA_HECTARE_SCALE		SQUARED(100.0f)

#endif/*__SIAREA_H__*/
