#ifndef __SILOG_H__
#define __SILOG_H__

#include "math.h"

#define LOGBASE(X, B)	(log(X)/log(B))

#define LOGUNIT(X, UNIT)					\
	(LOGBASE_ ## UNIT * LOGBASE((X)*LOGFACTOR_ ## UNIT,	\
		 LOGBASE_ ## UNIT))

#define FROM_LOGUNIT(X, UNIT)	\
	(pow(LOGBASE_ ## UNIT, (X/LOGBASE_ ## UNIT))/LOGFACTOR_ ## UNIT)

#define LOGFACTOR_DBM	(1.0f/SCALE_MILLI)
#define LOGBASE_DBM	10.0f

#define LOGFACTOR_DBW	1.0f
#define LOGBASE_DBW	10.0f

#endif/*__SILOG_H__*/
